List user conversations
curl --request POST \
--url https://api-eu.cybedefend.com/project/{projectId}/security-champion/conversations/listimport requests
url = "https://api-eu.cybedefend.com/project/{projectId}/security-champion/conversations/list"
response = requests.post(url)
print(response.text)const options = {method: 'POST'};
fetch('https://api-eu.cybedefend.com/project/{projectId}/security-champion/conversations/list', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"conversations": [
{
"id": "<string>",
"title": "<string>",
"status": "<string>",
"projectIds": [
"<string>"
],
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"totalMessages": 123,
"branch": "<string>",
"repository": "<string>",
"vulnerabilityId": "<string>"
}
],
"total": 123,
"page": 123,
"pageSize": 123,
"totalPages": 123
}Security Champion
List user conversations
Retrieves Security Champion conversations for the authenticated user with optional filters and pagination
POST
/
project
/
{projectId}
/
security-champion
/
conversations
/
list
List user conversations
Path Parameters
Project unique identifier
Query Parameters
Filter by branch name
Example:
"main"
Search in conversation title
Example:
"SQL injection"
Page number (1-based)
Required range:
x >= 1Number of items per page (default 20, max 100)
Required range:
1 <= x <= 100Sort field: created_at, updated_at, title
Available options:
created_at, updated_at, title Sort order: asc or desc
Available options:
asc, desc